#Introduction

Cells need to constantly adapt to internal and external conditions in order to maintain homoeostasis. During cellular decision-making, signal-transduction networks dynamically change in response to cues, triggering cellular state-defining responses. Multiple mechanisms exist to transfer this information from sensors to the corresponding molecular responses, one of the fastest being the reversible post-translational modification of proteins (PTMs). Through these targeted modifications, such as phosphorylation, the cell can quickly alter enzymatic activities, protein interactions or sub-cellular localization in order to produce a coordinated response to a given stimulus \cite{14744431}. Protein phospho-regulation constitutes a highly conserved regulatory mechanism relevant for a broad set of biological functions and diseases \cite{22817900}.

Over the past decades, our view of cellular signaling has advanced from an idea of isolated and linear cascades to highly complex and cooperative regulatory networks \cite{11057893,19744855}. Different perturbations in cellular conditions often activate different sets of interconnected kinases, ultimately triggering appropriate cellular responses. The complete understanding of such cell-fate decisions would require the systematic measurement of changes in kinase activities under multiple perturbations, but the small number of quantified regulatory events (i.e. tens) that were possible to date has limited our knowledge of cellular decision making and its molecular consequences \cite{21832255,21551058,24065145,20833815}.

Advances in mass-spectrometry and enrichment methods now allow measuring changes in thousands of phosphorylated peptides at a very high temporal resolution \cite{24187339,25704821,26280412}. Recent studies on human quantitative phosphorylation include responses at different cell-cycle stages \cite{18669648,20068231}, after DNA damage \cite{22424773}, EGF stimulation \cite{17081983,22210691}, prostaglandin stimulation \cite{24850871} and different kinase inhibitions \cite{22115753,23898821,21712546,21659604} among many others. More recently, improvements in experimental and computational methods have fostered the study of differential regulation of phosphosites and kinases in different cancer types \cite{23532336}, the modeling of drug resistance \cite{26060313} and inference of more precise pathway models \cite{26354681}. We suggest that the integrated analysis of phosphoproteomic responses after a wide panel of heterogeneous perturbations can expedite our understanding of cell decision-making processes.

In this study, we have compiled condition-dependent changes in human protein phosphorylation derived from 2,940,379 phosphopeptide quantifications in 435 heterogeneous perturbations. After quality control and normalization, we infer and benchmark the changes in 215 kinase activities in 399 conditions. We show that the similarity of kinase regulatory profiles can be used as a fingerprint to compare conditions in order to, for example, identify perturbations that modulate the kinase activity changes of a condition of interest. The large number of conditions analyzed allowed us to identify the kinases that are broad regulators (i.e. generalist kinases), found to be central kinases of the signaling network. Individual kinase profiles across conditions were also informative to recapitulate known kinase-kinase interactions and to identify novel co-regulated complexes and phosphosites acting as potential effectors.